﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Tasks;

namespace $safeprojectname$.About
{
    public partial class OtherApp : UserControl
    {
        public OtherApp()
        {
            InitializeComponent();
        }

        public static readonly DependencyProperty AppIdProperty = DependencyProperty.Register(
            "AppId",
            typeof(string),
            typeof(OtherApp),
            null
        );
        public static readonly DependencyProperty AppTitleProperty = DependencyProperty.Register(
            "AppTitle",
            typeof(string),
            typeof(OtherApp),
            null
        );
        public static readonly DependencyProperty AppDescriptionProperty = DependencyProperty.Register(
            "AppDescription",
            typeof(string),
            typeof(OtherApp),
            null
        );
        public static readonly DependencyProperty ImageSrcProperty = DependencyProperty.Register(
            "ImageSrc",
            typeof(string),
            typeof(OtherApp),
            null
        );

        public string AppId
        {
            set
            {
                this.SetValue(AppIdProperty, value);
            }
            get
            {
                return (string)this.GetValue(AppIdProperty);
            }
        }
        public string AppTitle
        {
            set
            {
                this.SetValue(AppTitleProperty, value);
            }
            get
            {
                return (string)this.GetValue(AppTitleProperty);
            }
        }
        public string AppDescription
        {
            set
            {
                this.SetValue(AppDescriptionProperty, value);
            }
            get
            {
                return (string)this.GetValue(AppDescriptionProperty);
            }
        }
        public string ImageSrc
        {
            set
            {
                this.SetValue(ImageSrcProperty, value);
            }
            get
            {
                return (string)this.GetValue(ImageSrcProperty);
            }
        }

        private void me_Tap(object sender, GestureEventArgs e)
        {
            new MarketplaceDetailTask() { ContentIdentifier = AppId }.Show();
        }
    }
}
